How to set up Qt Mobility 1.2



  • Hi,
    I currently have Qt 4.7.3 installed on my windows pc, this installation has " Qt Mobility 1.1 "

    For a project I need to use " Qt Mobility 1.2 ", I got the code from " http://qt.nokia.com/products/qt-addons/mobility/ ".

    The installation guide explains, how to build it for an existing symbian SDK.

    But my questions are :

    1. My question is , I need to integrate " Qt Mobility 1.2 " with existing " Qt 4.7.3 " .
      Can you please help me how is this done.

    2. With current " Qt 4.7.3 " , " Qt Mobility 1. 1" libraries are present at " C:\QtSDK\Simulator\QtMobility\mingw" , so where should I place this new Qt Mobility " Qt Mobility 1. 2 "

    3. I didn't build code for "Qt Mobility 1.1" , the dlls are already present in sdk, and each time when qt mobility app is developed, I just selected, simulator mode, device mode and the mobility dlls worked fine in all cased.

    But if I have to build " Qt Mobility 1. 1 " on my own, what configurations should i choose , so that these libraries work for simulator, device.. etc..

    Thanks in advance.

    Regards,
    Vijay.



  • Hi there,
    Have you seen "this":https://projects.developer.nokia.com/QtM12bSymb page? There you have a "ready to install" QtMobility 1.2 package and installation instructions.

    Then if you run into any problems, many solutions are given at this "thread":http://www.developer.nokia.com/Community/Discussion/showthread.php?225280-Help-With-Qt-Mobility-1.2

    Hope it helps!


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.